Bug 1435611 - Tracebacks seen from dogtag-ipa-ca-renew-agent-submit helper when installing replica
Summary: Tracebacks seen from dogtag-ipa-ca-renew-agent-submit helper when installing ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Ganna Kaihorodova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-24 11:22 UTC by Petr Vobornik
Modified: 2017-08-01 09:46 UTC (History)
7 users (show)

Fixed In Version: ipa-4.5.0-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification "Tracebacks seen from dogtag-ipa-ca-renew-agent-submit helper when installing replica" (9.65 KB, text/plain)
2017-06-01 09:11 UTC, Ganna Kaihorodova
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-03-24 11:22:13 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6757

When installing replica from a  current master branch, the following series of tracebacks can be seen in certmonger journal output:

```console
Mar 13 16:11:45 replica1.ipa.test systemd[1]: Started Certificate monitoring and PKI enrollment.
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7890]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/krb_utils.py", line 171, in get_principal
                                                                              raise errors.CCacheError(message=unicode(e))
                                                                          CCacheError: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529639053): No Kerberos credentials available (default cach
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7887]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/krb_utils.py", line 171, in get_principal
                                                                              raise errors.CCacheError(message=unicode(e))
                                                                          CCacheError: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529639053): No Kerberos credentials available (default cach
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7889]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/krb_utils.py", line 171, in get_principal
                                                                              raise errors.CCacheError(message=unicode(e))
                                                                          CCacheError: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529639053): No Kerberos credentials available (default cach
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7888]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/krb_utils.py", line 171, in get_principal
                                                                              raise errors.CCacheError(message=unicode(e))
                                                                          CCacheError: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529639053): No Kerberos credentials available (default cach
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7894]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/krb_utils.py", line 171, in get_principal
                                                                              raise errors.CCacheError(message=unicode(e))
                                                                          CCacheError: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529639053): No Kerberos credentials available (default cach
Mar 13 16:12:03 replica1.ipa.test dogtag-ipa-ca-renew-agent-submit[7893]: Traceback (most recent call last):
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 550, in <module>
                                                                              sys.exit(main())
                                                                            File "/usr/libexec/certmonger/dogtag-ipa-ca-renew-agent-submit", line 520, in main
                                                                              api.Backend.ldap2.connect()
                                                                            File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 66, in connect
                                                                              conn = self.create_connection(*args, **kw)
                                                                            File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 205, in create_connection
                                                                              principal = krb_utils.get_principal(ccache_name=ccache)
```

It may be that these messages are actually harmless since in the end the certificate requests are succesfully resolved, but it may be more helpful to catch these exceptions and log them as soft errors.

Relevant software versions.
```console
[root@replica1 ~]# rpm -q freeipa-server gssproxy
freeipa-server-4.4.90.dev201703131430+git5758f8a-0.fc25.x86_64
gssproxy-0.7.0-1.fc25.x86_64
```

Comment 2 Petr Vobornik 2017-03-24 11:22:27 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6757

Comment 5 Standa Laznicka 2017-04-19 07:28:07 UTC
The proposed fixes (specifically https://pagure.io/freeipa/c/181cb94e744c380a823b94d0d5ca088ab3dcca1c) break server installation with external CA.

Comment 8 Ganna Kaihorodova 2017-06-01 09:11:38 UTC
Created attachment 1284054 [details]
Verification "Tracebacks seen from dogtag-ipa-ca-renew-agent-submit helper when installing replica"

Comment 9 errata-xmlrpc 2017-08-01 09:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.